Limerence
Data sources

Create Data Source

Create a new data source configuration

POST
/data-sources

Create a new data source configuration

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/data-sources" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "type": "SQLITE"  }'
{  "connectionStatus": null,  "createdAt": "string",  "database": null,  "datasets": null,  "filePath": null,  "fileSize": null,  "host": null,  "id": "string",  "instanceName": null,  "lastError": null,  "lastTestedAt": null,  "name": "string",  "originalFileName": null,  "port": null,  "projectId": null,  "ssl": true,  "teamId": "string",  "trustServerCertificate": true,  "type": "SQLITE",  "updatedAt": "string",  "username": null}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}